apiVersion: v1
kind: Pod
metadata:
  name: myenvsecret
spec:
  containers:
  - name: c1
    image: centos
    command: ["/bin/bash", "-c", "while true; do echo Hello-Adam; sleep 5 ; done"]
    env:
    - name: MYENVUSER          # env name in which value of the key is stored 
      valueFrom:
        secretKeyRef:
          name: mysecret       # name of the secret created 
          key: username.txt    # name of the key
